Articles of npm

Ошибка при установке углового cli с NPM на новую установку ubuntu

Я просто не могу понять, как исправить эти одноранговые зависимости. Я попытался установить angular-cli с NPM глобально, но всегда приводит к: npm ERR! Linux 3.19.0-25-generic npm ERR! argv “/usr/bin/nodejs” “/usr/bin/npm” “install” “-g” “-f” “angular-cli” npm ERR! node v4.6.0 npm ERR! npm v2.15.9 npm ERR! code EPEERINVALID npm ERR! peerinvalid The package @angular/compiler@2.1.0 does not satisfy […]

npm install, ошибка сборки node-gyp только на одной из двух одинаковых машин

Я пытаюсь запустить npm install на Ubuntu 14.04 VPS, но он продолжает терпеть неудачу при установке кармы. Команда npm install выполняется с этапа сборки Jenkins, но также выходит из командной строки, когда я вхожу в систему как пользователь jenkins. Сервер Jenkins вызывает развертывание через Capistrano на другом VPS (производственном сервере), который, насколько я знаю, столь […]

NODE_PATH соответствует корню npm

Я получаю эту ошибку, когда я пытаюсь выполнить проект, используя эту команду с помощью этой команды. npm install generator-gulp-webapp –global Ошибка: Yeoman Doctor Running sanity checks on your system ✖ NODE_PATH matches the npm root npm global root value is not in your NODE_PATH Я использую Ubuntu 15.04 и не устанавливаю npm и узел с […]

Установка электрона глобально на Ubuntu с помощью NPM

Попытка решить этот вопрос и получить следующую ошибку при установке электрона глобально с помощью NPM: ole@mki:~/angular-electron$ sudo npm install electron -g /usr/bin/electron -> /usr/lib/node_modules/electron/cli.js > electron@1.7.12 postinstall /usr/lib/node_modules/electron > node install.js /usr/lib/node_modules/electron/install.js:48 throw err ^ Error: EACCES: permission denied, mkdir ‘/usr/lib/node_modules/electron/dist’ npm ERR! code ELIFECYCLE npm ERR! errno 1 npm ERR! electron@1.7.12 postinstall: `node install.js` […]

Использование электрона в зависимости от npm dev от Ubuntu

На Ubuntu 17.10 Я устанавливаю и запускаю электрон следующим образом: ole@mki:~/angular-electron$ npm i –save-dev electron > electron@1.7.12 postinstall /home/ole/angular-electron/node_modules/electron > node install.js npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.1.3 (node_modules/fsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.1.3: wanted {“os”:”darwin”,”arch”:”any”} (current: {“os”:”linux”,”arch”:”x64″}) + electron@1.7.12 updated 1 package in 19.956s ole@mki:~/angular-electron$ electron electron: command […]

Ошибка установки узла-expat на Ubuntu VM

Я не мог найти ничего еще, чтобы решить свои проблемы, прочитал ли я все Google и до сих пор не ответил, кто-нибудь имел проблемы с установкой этого пакета и мог его решить? Мне нужна помощь в этом. ubuntu@ubuntu:~/Desktop/nodeEjabberd$ npm cache clean ubuntu@ubuntu:~/Desktop/nodeEjabberd$ sudo npm install node-expat npm http GET https://registry.npmjs.org/node-expat npm http 200 https://registry.npmjs.org/node-expat npm […]

nowjs / node-proxy не удается установить на ubuntu 11.10

Я пытаюсь установить now.js на ubuntu 11.10 (работает в Windows с wubi, если это имеет значение). Я загрузил и установил узел, npm и socket.io просто отлично, но sudo npm install now не работает по какой-либо причине. Я пробовал с и без sudo, попытался установить его глобально, такую ​​же ошибку. Make установлен просто отлично … это […]

TypeError: Не удается прочитать свойство ‘config’ из null

После копирования моего проекта Angular с моего локального компьютера на мой Linux-сервер я попытался запустить проект, используя ng serve и это не сработало. Вместо этого он открыл новый файл в редакторе в консоли. Затем я исследовал и придумал npm start . Однако это тоже не работает. Дает мне следующую ошибку. Cannot read property ‘config’ of […]

npm завершено

Я запускаю npm 1.2.18 и node v0.10.15 . npm completion работает. Если я попытаюсь npm вкладку с npm или если я запустил npm completion , она отобразит: npm ERR! System Linux 3.11.0-14-generic npm ERR! command "/usr/bin/nodejs" "/usr/bin/npm" "completion" "–color" "false" "–loglevel" "error" "–" "npm" "comple" npm ERR! cwd /home/ajcrites npm ERR! node -v v0.10.15 npm […]

Ошибка установки «yo» (Node / Javascript)

я пытаюсь установить лет, но продолжайте получать эти ошибки, кто-нибудь, пожалуйста, помогите. root@ubuntu:/opt/hubot# npm install -g yo \ > spawn-sync@1.0.11 postinstall /usr/lib/node_modules/yo/node_modules/cross-spawn/node_modules/spawn-sync > node postinstall fs.js:439 return binding.open(pathModule._makeLong(path), stringToFlags(flags), mode); ^ Error: EACCES, permission denied '/usr/lib/node_modules/yo/node_modules/cross-spawn/node_modules/spawn-sync/package.json' at Object.fs.openSync (fs.js:439:18) at Object.fs.writeFileSync (fs.js:978:15) at Object.<anonymous> (/usr/lib/node_modules/yo/node_modules/cross-spawn/node_modules/spawn-sync/postinstall.js:20:6) at Module._compile (module.js:456:26) at Object.Module._extensions..js (module.js:474:10) at Module.load (module.js:356:32) at […]

Intereting Posts